
###############################################################################-
# Biogas stove efficiency
###############################################################################-

# # Libraries
library(raster)
library(rgdal)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000)


# Data and source --------------------------------------------------------------

# Household burners consume approximately 200-450 liters of biogas per hour. 
# The gas consumption for cooking per person lies between 300 and 900 liter per
# day, the gas consumption per 5-member family for 2 cooked meals between 1500
# and 2400 liter per day.Ω
# Source: https://energypedia.info/wiki/Biogas_Stoves


# Processing -------------------------------------------------------------------

biogasDemand_lHhDay <- 1800
names(biogasDemand_lHhDay) <- "biogasDemand_lHhDay"
biogasDemand_m3HhYr <- biogasDemand_lHhDay / 1000 * 365
names(biogasDemand_m3HhYr) <- "biogasDemand_m3HhYr"
biogasDemand <- c(biogasDemand_lHhDay, biogasDemand_m3HhYr)


# Export -----------------------------------------------------------------------

saveRDS(
  biogasDemand, 
  "outputs/01_supply/01_inputs/biogasDemand.rds")

