
###############################################################################-
# Charcoal stove efficiency
###############################################################################-

# # Libraries
library(raster)
library(rgdal)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000)

# Data and source --------------------------------------------------------------

# Source: ProBE project
# Demand of 300 for cooking 5 litres of water an simmering it 45 minutes


# Processing -------------------------------------------------------------------

charcoalDemand_kgHhDay <- 1.650
names(charcoalDemand_kgHhDay) <- "charcoalDemand_kgHhDay"

charcoalDemand_kgHhYr <- charcoalDemand_kgHhDay * 365 
names(charcoalDemand_kgHhYr) <- "charcoalDemand_kgHhYr"

charcoalDemand_tHhYr <- charcoalDemand_kgHhYr / 1000 
names(charcoalDemand_tHhYr) <- "charcoalDemand_tHhYr"


charcoalDemand <- c(charcoalDemand_kgHhDay, charcoalDemand_kgHhYr, 
                    charcoalDemand_tHhYr)


# Export -----------------------------------------------------------------------

saveRDS(
  charcoalDemand, 
  "outputs/01_supply/01_inputs/charcoalDemand.rds")

