

###############################################################################-
# Prepare dung productivity
###############################################################################-

# # Libraries
library(raster)
library(rgdal)
library(tidyverse)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)


subl <- readRDS("outputs/pop_kitui.rds")
subl_all <- readRDS("outputs/sublocations_kenya.rds")



# Sources ----------------------------------------------------------------------

# Orskov B, Yongabi K, Subedi M, Smith J. Overview of holistic application of 
#   biogas for small scale farmers in Sub-Saharan Africa. Biomass and Bioenergy.
#   (2014)



# Processing -------------------------------------------------------------------

dungProductivity <- c(freshWaste_kgDayPig = 2.3, 
                      freshWaste_kgDayIndcow = 9.98, 
                      freshWaste_kgDayExocow = 25.75)

dungProductivity <- dungProductivity * 365 / 1000
names(dungProductivity) <- gsub("kgDay", "tYr", names(dungProductivity))


saveRDS(dungProductivity, "outputs/01_supply/01_inputs/dungProductivity.rds")

