
###############################################################################-
# Firewood stove efficiency
###############################################################################-

# # Libraries
library(raster)
library(rgdal)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000)

# Data and source --------------------------------------------------------------

# Source: ProBE project
# Demand of 850 for cooking 5 litres of water an simmering it 45 minutes


# Processing -------------------------------------------------------------------

firewoodDemand_kgHhDay <- 4.6
names(firewoodDemand_kgHhDay) <- "firewoodDemand_kgHhDay"

firewoodDemand_tHhYr <- firewoodDemand_kgHhDay / 1000 * 365
names(firewoodDemand_tHhYr) <- "firewoodDemand_tHhYr"

firewoodDemand <- c(firewoodDemand_kgHhDay, firewoodDemand_tHhYr)


# Export -----------------------------------------------------------------------

saveRDS(
  firewoodDemand, 
  "outputs/01_supply/01_inputs/firewoodDemand.rds")

