
###############################################################################-
# Jatroph stove efficiency
###############################################################################-

# # Libraries
library(raster)
library(rgdal)


# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)


# Data and source --------------------------------------------------------------

# Source: http://www.jetcitystoveworks.com/faqs.html

# To cook a full meal, theJiko Safi uses 750 grams of whole Jatropha seed. 
# For example, this would allow cooking a pound of rice, a sauce and vegetables 
# as well as boil 2 liters of water for clean-up during the normal 90 minute 
#  burn period. 
# A typical family might use about 2.2 kg or 5 pounds of seed per day. This 
# amounts to about 1500 pounds per year of seed if this stove is the family’s 
# only cooking system. Hedges around the fields of a typical smallholder farm 
# will produce enough seeds for a year of stove use. 


# Processing -------------------------------------------------------------------

jSeeds_kgHhDay <- 2.2
names(jSeeds_kgHhDay) <- "jSeeds_kgHhDay"

jSeeds_tHhYr <- jSeeds_kgHhDay / 1000 * 365
names(jSeeds_tHhYr) <- "jSeeds_tHhYr"

jOilDemand <- c(jSeeds_kgHhDay, jSeeds_tHhYr)


# Export -----------------------------------------------------------------------
saveRDS(
  jOilDemand, 
  "outputs/01_supply/01_inputs/jSeedsDemand.rds")






