
###############################################################################-
# Jatroph oil content
###############################################################################-

# # Libraries
library(raster)
library(rgdal)
library(tidyverse)
library(haven)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)


# Data and source --------------------------------------------------------------
# Sources: 
# - Achten et al. 2008
# - Siregar et al 2015
# Average oil content of dry seed on mass basis: 34.4% (Achten et al. 2008)


# Processing -------------------------------------------------------------------
jOilContent_shr <- 0.34
names(jOilContent_shr) <- "jOilContent_shr"


# Export -----------------------------------------------------------------------
saveRDS(
  jOilContent_shr, 
  "outputs/01_supply/01_inputs/jatrophaOilContent.rds")






