
###############################################################################-
# Jatroph press efficiency
###############################################################################-

# # Libraries
library(raster)
library(rgdal)
library(tidyverse)
library(haven)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)


# Data and source --------------------------------------------------------------
# Sources: 
# - Achten et al. 2008
# - Siregar et al 2015
# Calculated oil yields (% of contained oil) of mechanical extraction methods
#   Achten et al. (2008):
#   - Engine driven screw press: between 68% and 80%
#   - Ram press: 62.5%


# Processing -------------------------------------------------------------------

jatrophaPressEfficiency <- 0.75 
names(jatrophaPressEfficiency) <- "jatrophaPressEfficiency_shr"

# Export -----------------------------------------------------------------------
saveRDS(
  jatrophaPressEfficiency, 
  "outputs/01_supply/01_inputs/jatrophaPressEfficiency.rds")






