
###############################################################################-
# Maize briquette stove efficiency
###############################################################################-

# # Libraries
library(raster)
library(rgdal)


# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)


# Data and source --------------------------------------------------------------

# Source: ProBE project
# Demand of 810g for cooking 5 litres of water an simmering it 45 minutes


# Demand --- -------------------------------------------------------------------

maizeBriqDem_kgHhDay <- 1.7125
names(maizeBriqDem_kgHhDay) <- "maizeBriqDem_kgHhDay"

maizeBriqDem_tHhYr <- maizeBriqDem_kgHhDay / 1000 * 365
names(maizeBriqDem_tHhYr) <- "maizeBriqDem_tHhYr"

maizeBriqDem <- c(maizeBriqDem_kgHhDay, maizeBriqDem_tHhYr); maizeBriqDem

# Export -----------------------------------------------------------------------
saveRDS(
  maizeBriqDem, 
  "outputs/01_supply/01_inputs/maizeBriqDemand.rds")






