


###############################################################################-
# Maize production
###############################################################################-

# # Libraries
library(raster)
library(rgdal)


# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)


# Sources ----------------------------------------------------------------------

# Sources:
# - County Government of Kitui - 2014 (and Excel file) 
#   - 427,347 bags (90 kg bags) and 93,960 ha in 2013 (poor and eratic rainfall) 
#   - 519,063 bags (90 kg bags) and 87,979 ha in 2012.


# Processing -------------------------------------------------------------------

bags_nr <- 519063
bagWeight_kg <- 90
maize_t <- bags_nr * bagWeight_kg / 1000
names(maize_t) <- "maize_t"



# Export -----------------------------------------------------------------------
saveRDS(
  maize_t, 
  "outputs/01_supply/01_inputs/maizeProduction_kitui.rds")






