
###############################################################################-
# Digester efficiency
###############################################################################-

# # Libraries
library(raster)
library(rgdal)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000)

kitui <- readRDS("outputs/pop_kitui.rds")


# Literature / Sources --------------------------------------------------------- 

# Orskov B, Yongabi K, Subedi M, Smith J. 2014. Overview of holistic application 
#   of biogas for small scale farmers in Sub-Saharan Africa. 
#   Biomass and Bioenergy.

# Ratio dung (fresh waste kg d-1) to biogas (dm3 d-1) or
#   Ratio dung (fresh waste t d-1) to biogas (m3 d-1) or
# - Pigs: 81
# - Cow (Sudan): 32
# - Dairy cattle: 100
# - Beef cattle: 100



# Defining values --------------------------------------------------------------

# Ratio dung (fresh waste t d-1) to biogas (m3 d-1)
dungToBiogasRatiov <- c("pigs" = 81, 
                        "indCat" = 32,
                        "exoCat" = 100)
comment(dungToBiogasRatiov) <- "dung (fresh waste t d-1) to biogas (m3 d-1)"

# Export
saveRDS(dungToBiogasRatiov, "outputs/01_supply/01_inputs/ratioDungToBiogas.rds")
