


###############################################################################-
# Share of firewood
###############################################################################-

# # Libraries
library(raster)
library(rgdal)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000)
subl <- readRDS("outputs/pop_kenya.rds")



# Computation ------------------------------------------------------------------

# Shackleton (1998)
# Annual production varied considerably for individual plots, but the mean 
# production per woody standing biomass was relatively constant from year to 
# year at approximately 17 kg/ha/year per ton live biomass, or 1.7% per annum. 
# Annual production of harvestable deadwood was related more to stand biomass 
# than rainfall zone. 

woodyBiomToHarvDeadw_shr <- 0.017 # Shackleton (1998)
names(woodyBiomToHarvDeadw_shr) <- "woodyBiomToHarvDeadw_shr"


# Export -----------------------------------------------------------------------
saveRDS(woodyBiomToHarvDeadw_shr, 
        "outputs/01_supply/01_inputs/shareFirwood.rds")

