

###############################################################################-
# Results 
###############################################################################-

# # Libraries
library(raster)
library(rgeos)
library(tidyverse)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 999)



# All --------------------------------------------------------------------------

# Load data
allMap <- readRDS("outputs/01_supply/03_results/allMealSupplies.rds"); allMap
allDta <- tbl_df(allMap); allDta

# Aggregate values to county level
hhSupply <- allDta %>% 
  select(biogasHh:jatrophaHh) %>% 
  summarise_all(sum) %>% 
  gather(fuelType, hh)
hhSupply

allDta %>% 
  select(totFuelHh) %>% 
  summarise_all(sum)


# Plot meals by fuel type
ggplot(hhSupply, aes(x = fuelType, y = hh, label = round(hh))) +
  geom_bar(stat = "identity") +
  geom_text() +
  coord_flip()


# Plot map of the total supply
allMap <- readRDS("outputs/01_supply/03_results/allMealSupplies.rds")
spplot(obj = allMap["totFuelHhDens_HhKm2"],
       sub = "Supply \n(households per sqkm)",
       col = "transparent")









