
################################################################################
# Run all supply models
################################################################################

# Inputs
inpScr <- list.files(path = "scripts/01_supply/01_inputs/", 
                     full.names = T, 
                     pattern = "*.R$")
lapply(inpScr, source)



# Models
source("scripts/01_supply/02_models/model_biogas.R")
source("scripts/01_supply/02_models/model_charcoal.R")
source("scripts/01_supply/02_models/model_cropresidue.R")
source("scripts/01_supply/02_models/model_firewood.R")
source("scripts/01_supply/02_models/model_jatrophaoil.R")

# Result aggregations
source("scripts/01_supply/03_results/calc_combineAllMealSupplies.R")

# Plots
source(file = "scripts/01_supply/03_results/plot_mealSupplyComparison.R", 
       print.eval = T)
source(file = "scripts/01_supply/03_results/plot_totalMealSupply.R", 
       print.eval = T)
