
###############################################################################-
# Total demand
###############################################################################-
# Calculate the total number of households (that consume cooking fuels)


# Libraries
library(raster)
library(rgdal)
library(tidyverse)
library(haven)
library(labelled)
library(formattable)
library(RColorBrewer)
library(gridExtra)

# Options
rasterOptions(progress = "text", timer = T, overwrite = T)
options("max.print" = 1000, scipen = 9999)



# Number of consumers ----------------------------------------------------------

# Get data
subl <- readRDS("outputs/02_demand/01_currCons/pahc2009mainFuel_hh.rds")

# Plot household density (households per square km) 
subl$hhDens_hhSqkm <-  subl$nrHh / subl$Area_km2
ke <- spplot(obj = subl["hhDens_hhSqkm"], 
             at = c(0, 2, 10, 40, 100, 200), 
             col = "transparent")
ki <- spplot(obj = subl[subl$COUN_NM == "KITUI", ]["hhDens_hhSqkm"], 
             at = c(0, 2, 10, 40, 100, 200), 
             col = "transparent")
grid.arrange(ke, ki , ncol = 2)



# Plot Kitui only
subl <- readRDS("outputs/sublocations_kenya.rds")
spplot(obj = hh[hh$COUN_NM == "KITUI", ]["hhDens_hhSqkm"], 
       sub = "Demand \n(households per sqkm)",
       at = c(0, 2, 10, 40, 100, 200), 
       col = "transparent")






