


library(raster)


# Load data
subl <- readRDS("outputs/pop_kenya.rds")
lulc <- raster("outputs/02_demand/01_inputs/lulc.grd")

# Dissolve polygons to one 
subl$diss <- 1
country <- aggregate(subl, by = "diss")
plot(country)

# Remove holes from polygons
countryP <- slot(country, "polygons")
holes <- lapply(countryP, function(x) sapply(slot(x, "Polygons"), slot, "hole"))
res <- lapply(1:length(countryP), function(i) slot(countryP[[i]], "Polygons")[!holes[[i]]])
IDs <- row.names(country)
countryfill <- SpatialPolygons(lapply(1:length(res), function(i)
  Polygons(res[[i]], ID = IDs[i])), proj4string = CRS(proj4string(country)))
plot(countryfill)  

# Keep only the main, big polygon
countryP <- slot(countryfill, "polygons")
ar <- lapply(countryP, function(x) sapply(slot(x, "Polygons"), slot, "area"))
mx <- which.max(ar[[1]])
ar[[1]] <- sapply(ar[[1]], function(x) F)
ar[[1]][mx] <- T
res2 <- lapply(1:length(countryP), function(i) slot(countryP[[i]], "Polygons")[ar[[1]]])
IDs <- row.names(country)
IDs <- row.names(countryfill)
countryRed <- SpatialPolygons(lapply(1:length(res2), function(i)
  Polygons(res2[[i]], ID = IDs[i])), proj4string = CRS(proj4string(countryfill)))
plot(countryRed)

# Add data
maskSP <- SpatialPolygonsDataFrame(countryRed, data.frame(land = c(1)))









